corda / net.corda.contracts.asset / Cash / Commands / Move

# Move

`data class Move : Move, Commands`

A command stating that money has been moved, optionally to fulfil another contract.

### Parameters

`contractHash` - the contract this move is for the attention of. Only that contract's verify function should take the moved states into account when considering whether it is valid. Typically this will be null.

### Constructors

<init> | `Move(contractHash: SecureHash? = null)` A command stating that money has been moved, optionally to fulfil another contract.

### Properties

contractHash | `val contractHash: SecureHash?` Contract code the moved state(s) are for the attention of, for example to indicate that the states are moved in order to settle an obligation contract's state object(s).